Bug 1419010 (CVE-2016-10161) - CVE-2016-10161 php: Out-of-bounds heap read on unserialize in finish_nested_data()
Summary: CVE-2016-10161 php: Out-of-bounds heap read on unserialize in finish_nested_d...
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2016-10161
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1419021 1554540
Blocks: 1419023
TreeView+ depends on / blocked
 
Reported: 2017-02-03 12:22 UTC by Adam Mariš
Modified: 2020-03-11 15:44 UTC (History)
14 users (show)

Fixed In Version: php 7.1.1, php 7.0.15, php 5.6.30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-10 16:39:45 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:1296 0 None None None 2018-05-03 05:06:23 UTC

Description Adam Mariš 2017-02-03 12:22:18 UTC
The object_common1 function in ext/standard/var_unserializer.c in PHP before 5.6.30, 7.0.x before 7.0.15, and 7.1.x before 7.1.1 allows remote attackers to cause a denial of service (buffer over-read and application crash) via crafted serialized data that is mishandled in a finish_nested_data call.

Upstream bug:

https://bugs.php.net/bug.php?id=73825

Upstream patch:

https://github.com/php/php-src/commit/16b3003ffc6393e250f069aa28a78dc5a2c064b2

Comment 1 Adam Mariš 2017-02-03 12:50:33 UTC
Created php tracking bugs for this issue:

Affects: fedora-all [bug 1419021]

Comment 2 Adam Mariš 2017-02-03 12:52:35 UTC
This issue happens when untrusted input is unserialized. Doing so is documented as being unsafe:

  http://php.net/manual/en/function.unserialize.php

  Do not pass untrusted user input to unserialize(). Unserialization can
  result in code being loaded and executed due to object instantiation and
  autoloading, and a malicious user may be able to exploit this. Use a safe,
  standard data interchange format such as JSON (via json_decode() and
  json_encode()) if you need to pass serialized data to the user.

Comment 4 errata-xmlrpc 2018-05-03 05:06:15 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 6
  Red Hat Software Collections for Red Hat Enterprise Linux 6.7 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.3 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.4 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.5 EUS

Via RHSA-2018:1296 https://access.redhat.com/errata/RHSA-2018:1296


Note You need to log in before you can comment on or make changes to this bug.